scala.tools.nsc

# Properties

#### object Properties extends PropertiesTrait

Loads `compiler.properties` from the jar archive file.

Source
  Properties.scala

Linear Supertypes
PropertiesTrait, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Properties
2. PropertiesTrait
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clearProp(name: String): String

   Definition Classes
     PropertiesTrait

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val copyrightString: String

   Definition Classes
     PropertiesTrait

8. #### val developmentVersion: Option[String]

   Definition Classes
     PropertiesTrait

9. #### def encodingString: String

   Definition Classes
     PropertiesTrait

10. #### def envOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

11. #### def envOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

12. #### def envOrSome(name: String, alt: Option[String]): Option[String]

    Definition Classes
      PropertiesTrait

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def isEmacsShell: Boolean

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def isJavaAtLeast(version: String): Boolean

    Definition Classes
      PropertiesTrait

21. #### def isMac: Boolean

    Definition Classes
      PropertiesTrait

22. #### def isWin: Boolean

    Definition Classes
      PropertiesTrait

23. #### def javaClassPath: String

    Definition Classes
      PropertiesTrait

24. #### def javaHome: String

    Definition Classes
      PropertiesTrait

25. #### def javaSpecName: String

    Definition Classes
      PropertiesTrait

26. #### def javaSpecVendor: String

    Definition Classes
      PropertiesTrait

27. #### def javaSpecVersion: String

    Definition Classes
      PropertiesTrait

28. #### def javaVendor: String

    Definition Classes
      PropertiesTrait

29. #### def javaVersion: String

    Definition Classes
      PropertiesTrait

30. #### def javaVmInfo: String

    Definition Classes
      PropertiesTrait

31. #### def javaVmName: String

    Definition Classes
      PropertiesTrait

32. #### def javaVmVendor: String

    Definition Classes
      PropertiesTrait

33. #### def javaVmVersion: String

    Definition Classes
      PropertiesTrait

34. #### def jdkHome: String

    Definition Classes
      PropertiesTrait

35. #### def lineSeparator: String

    Definition Classes
      PropertiesTrait

36. #### def main(args: Array[String]): Unit

    Definition Classes
      PropertiesTrait

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### def osName: String

    Definition Classes
      PropertiesTrait

41. #### def pickJarBasedOn: Class[Global]

    Attributes
      protected
    Definition Classes
      Properties → PropertiesTrait

42. #### def propCategory: String

    Attributes
      protected
    Definition Classes
      Properties → PropertiesTrait

43. #### val propFilename: String

    Attributes
      protected
    Definition Classes
      PropertiesTrait

44. #### def propIsSet(name: String): Boolean

    Definition Classes
      PropertiesTrait

45. #### def propIsSetTo(name: String, value: String): Boolean

    Definition Classes
      PropertiesTrait

46. #### def propOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

47. #### def propOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

48. #### def propOrFalse(name: String): Boolean

    Definition Classes
      PropertiesTrait

49. #### def propOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

50. #### def propOrNull(name: String): String

    Definition Classes
      PropertiesTrait

51. #### val releaseVersion: Option[String]

    Definition Classes
      PropertiesTrait

52. #### def residentPromptString: String

53. #### def scalaCmd: String

    Definition Classes
      PropertiesTrait

54. #### def scalaHome: String

    Definition Classes
      PropertiesTrait

55. #### def scalaPropOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

56. #### def scalaPropOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

57. #### def scalaPropOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

58. #### lazy val scalaProps: java.util.Properties

    Attributes
      protected
    Definition Classes
      PropertiesTrait

59. #### def scalacCmd: String

    Definition Classes
      PropertiesTrait

60. #### def setProp(name: String, value: String): String

    Definition Classes
      PropertiesTrait

61. #### def shellInterruptedString: String

62. #### def shellPromptString: String

63. #### def sourceEncoding: String

    Definition Classes
      PropertiesTrait

64. #### def sourceReader: String

    Definition Classes
      PropertiesTrait

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def tmpDir: String

    Definition Classes
      PropertiesTrait

67. #### def toString(): String

    Definition Classes
      AnyRef → Any

68. #### def userDir: String

    Definition Classes
      PropertiesTrait

69. #### def userHome: String

    Definition Classes
      PropertiesTrait

70. #### def userName: String

    Definition Classes
      PropertiesTrait

71. #### def versionMsg: String

    Definition Classes
      PropertiesTrait

72. #### def versionNumberString: String

    Definition Classes
      PropertiesTrait

73. #### val versionString: String

    Definition Classes
      PropertiesTrait

74. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

75. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

76. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PropertiesTrait

### Inherited from AnyRef

### Inherited from Any

### Ungrouped